// @flow
export function calculateSeekerPosition(currentTime: number, duration: number, seekerWidth: number) {
    if (duration === 0) return 0;
    return seekerWidth * (currentTime / duration);
}

export function toStringWithLeadingZero(value: number): string {
    return value > 9 ? value.toString(10) : `0${value}`;
}

export function formattedDisplayTime(currentTime: number) {
    const minute = toStringWithLeadingZero(Math.floor(currentTime / 60));
    return `${minute}:${toStringWithLeadingZero(Math.floor(currentTime % 60))}`;
}
