import {NativeTouchEvent} from "react-native";
import type {Finger, Point} from "../PinchZoomCarousel";

export function isValidIndex(number) {
    return number >= 0;
}

export function touchToFinger(touch: NativeTouchEvent): Finger {
    return {
        x: touch.pageX,
        y: touch.pageY,
        id: touch.identifier,
    };
}

export function distance(p1: Point, p2: Point): number {
    return Math.sqrt(((p1.x - p2.x) ** 2) + ((p1.y - p2.y) ** 2));
}

export function meanPoint(p1: Point, p2: Point): Point {
    return {
        x: (p1.x + p2.x) / 2,
        y: (p1.y + p2.y) / 2,
    };
}

export function delta(from: Point, to: Point): Point {
    return {
        x: to.x - from.x,
        y: to.y - from.y,
    };
}
